Name:           libvterm
Summary:        An abstract library implementation of a VT220/xterm/ECMA-48 terminal emulator
Version:        0.1
Release:        2%{?dist}
License:        MIT
Group:          System Environment/Libraries
URL:            https://github.com/neovim/%{name}/

Source0:        https://github.com/neovim/%{name}/archive/HEAD/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  glibc-devel
BuildRequires:  libtool
BuildRequires:  make
BuildRequires:  pkgconfig


%description
An abstract C99 library which implements a VT220 or xterm-like terminal
emulator. It doesn't use any particular graphics toolkit or output system,
instead it invokes callback function pointers that its embedding program should
provide it to draw on its behalf. It avoids calling malloc() during normal
running state, allowing it to be used in embedded kernel situations.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -c %{name}-%{version}
mv %{name}*/.[a-z]* %{name}*/* .
rmdir %{name}*/


%build
%__make %{?_smp_mflags} \
    CFLAGS="%{optflags} -std=gnu99" \
    INCDIR="%{_includedir}" \
    LIBDIR="%{_libdir}" \
    MANDIR="%{_mandir}"
    PREFIX="%{_prefix}" \


%install
%__make %{?_smp_mflags} \
    CFLAGS="%{optflags} -std=gnu99" \
    DESTDIR="%{buildroot}" \
    INCDIR="%{_includedir}" \
    LIBDIR="%{_libdir}" \
    MANDIR="%{_mandir}" \
    PREFIX="%{_prefix}" \
    install

rm -vf %{buildroot}%{_libdir}/libvterm.a


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%{_bindir}/unterm
%{_bindir}/vterm-ctrl
%{_bindir}/vterm-dump
%doc LICENSE
%{_libdir}/libvterm.so.*


%files devel
%defattr(-,root,root)
%{_includedir}/vterm*.h
%{_libdir}/libvterm.la
%{_libdir}/libvterm.so
%{_libdir}/pkgconfig/vterm.pc


%changelog
* Mon Aug 22 2016 David Personette <dperson@gmail.com> - 0.1-2
- Pull in updates

* Sun Jul 24 2016 David Personette <dperson@gmail.com> - 0.1-1
- Initial package